%define name		keximdb
%define version		1.1.0
%define rel	 	5


%define __libtoolize /bin/true

Summary:	The MDB file migration driver for Kexi
Name:		%{name}
Version:	%{version}
Release:	%mkrel %rel
Source:		%name-%version.tar.bz2
License:	GPL
Group:		Graphical desktop/KDE	
Url:		http://www.koffice.org
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	kexi-devel
BuildRequires:	autoconf2.5
BuildRequires:	arts-devel
BuildRequires:	openldap-devel

%description
This is keximdb, the MDB file migration driver for Kexi.

MDB files are the native database format of MS Access (and
also some other MS applications).  This driver can be used
by Kexi's migration framework to convert simple Access
databases in to native Kexi databases.


%prep
%setup -q

%build

export QTDIR=%_prefix/lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH


%{?__cputoolize: %{__cputoolize} }

%configure2_5x \
		--disable-debug \
		--enable-shared \
		--disable-static \
%if "%{_lib}" != "lib"
    --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
%endif
		--disable-rpath 

%make

%install
rm -Rf %{buildroot}

%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_libdir/kde3/keximigrate_mdb.la
%_libdir/kde3/keximigrate_mdb.so
%_datadir/services/keximigrate_mdb.desktop





%changelog
* Thu Jan 03 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-5mdv2008.1
+ Revision: 141711
- rebuilt against openldap-2.4.7 libs

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.1.0-4mdv2008.1
+ Revision: 134102
- rebuild

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.1.0-3mdv2008.1
+ Revision: 127942
- kill re-definition of %%buildroot on Pixel's request
- fix summary-ended-with-dot


* Thu Nov 16 2006 Laurent Montel <lmontel@mandriva.com> 1.1.0-3mdv2007.0
+ Revision: 84677
- Add buildrequires
- Fix spec file

* Mon Nov 13 2006 Laurent Montel <lmontel@mandriva.com> 1.1.0-1mdv2007.1
+ Revision: 83589
- Import keximdb

